#version 410 core

out vec4 FragColor;

in vec4 color;
in vec2 texCoord;

uniform sampler2D texture1;
uniform float time;

void main()
{
    vec4 tex = texture(texture1, texCoord);
    if (tex.a == 0.0){
        FragColor = tex;
    } else{
        FragColor = mix(tex, color, 0.5);
    }
}