#version 410 core

out vec4 FragColor;

in vec4 color;
in vec2 fragCoord;
in vec2 texCoord;

uniform sampler2D texture1;

void main(){
    vec3 black = vec3(0.0f, 0.0f , 0.0f);
    vec4 tex = texture(texture1, texCoord);
    tex.a = (tex.x + tex.y + tex.z) / 3.0f;
    FragColor = tex;
}
